View Issue Details

IDProjectCategoryView StatusLast Update
0004456PartBugpublic2020-10-17 08:30
ReporterCyrilWaechter Assigned Towmayer  
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformGnu/Linux 64-bitsOSManjaro Linux (GNOME/gnome)OS Version5.4.6
Product Version0.19 
Target Version0.19Fixed in Version0.19 
Summary0004456: Regression : Part.Plane.Intersect do not accept plane as argument
DescriptionForum thread
There is apparently a regression with intersect. It does not accept anymore a plane as argument :

  • Using my build on commit 2a510a23b480a24bac424383a663200e2c293f10 doesn't work :
  • >>> pl1 = Part.Plane()
    >>> pl2 = Part.Plane(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(1, 0, 0))
    >>> pl1.intersect(pl2)
    Traceback (most recent call last):
      File "<input>", line 1, in <module>
    TypeError: argument 1 must be Part.Curve, not Part.Plane

  • Using my build on commit f09d48d0fe00590997b88b52b610210ac606951c works :
  • >>> pl1 = Part.Plane()
    >>> pl2 = Part.Plane(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(1, 0, 0))
    >>> pl1.intersect(pl2)
    [<Line object>]
Steps To ReproduceExecute following code in python console :
pl1 = Part.Plane()
pl2 = Part.Plane(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(1, 0, 0))
pl1.intersect(pl2)
TagsNo tags attached.
FreeCAD InformationOS: Manjaro Linux (GNOME/gnome-xorg)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19 (Git)
Build type: Release
Branch: master
Hash: see above
Python version: 3.8.5
Qt version: 5.15.0
Coin version: 4.0.0
OCC version: 7.4.0
Locale: C/Default (C)

Activities

Kunda1

2020-10-10 13:00

administrator   ~0014818

Confirmed on the forum. Assigning to 0.19 release roadmap. Tracking release blockers at https://forum.freecadweb.org/viewtopic.php?f=8&t=51016

wmayer

2020-10-17 08:14

administrator   ~0014896

https://github.com/FreeCAD/FreeCAD/commit/ce87f586ee36ffe8ebcdcd3947ced4ab389ae795

wmayer

2020-10-17 08:30

administrator   ~0014897

Fix committed to master branch.

Related Changesets

FreeCAD: master bbbf7aad

2020-10-14 17:52:04

plaes


Committer: wwmayer Details Diff
Part: Add regression test for issue 0004456 (skipped for now) Affected Issues
0004456
mod - src/Mod/Part/CMakeLists.txt Diff File
mod - src/Mod/Part/TestPartApp.py Diff File
add - src/Mod/Part/parttests/regression_tests.py Diff File

FreeCAD: master ce87f586

2020-10-17 08:12:01

wmayer

Details Diff
fixes 0004456: Regression : Part.Plane.Intersect do not accept plane as argument [skip ci] Affected Issues
0004456
mod - src/Mod/Part/App/Geometry.cpp Diff File

Issue History

Date Modified Username Field Change
2020-10-09 20:28 CyrilWaechter New Issue
2020-10-09 20:30 CyrilWaechter Description Updated View Revisions
2020-10-10 13:00 Kunda1 Status new => confirmed
2020-10-10 13:00 Kunda1 Target Version => 0.19
2020-10-10 13:00 Kunda1 Note Added: 0014818
2020-10-17 08:00 plaes Changeset attached => FreeCAD master bbbf7aad
2020-10-17 08:14 wmayer Note Added: 0014896
2020-10-17 08:15 wmayer Assigned To => wmayer
2020-10-17 08:15 wmayer Status confirmed => closed
2020-10-17 08:15 wmayer Resolution open => fixed
2020-10-17 08:15 wmayer Fixed in Version => 0.19
2020-10-17 08:30 wmayer Changeset attached => FreeCAD master ce87f586
2020-10-17 08:30 wmayer Note Added: 0014897